stacked_generator 0.8.5 icon indicating copy to clipboard operation
stacked_generator: ^0.8.5 copied to clipboard

Stacked Generator is a package dedicated to reduce the boilerplate required to setup a stacked application

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add stacked_generator

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  stacked_generator: ^0.8.5

Alternatively, your editor might support dart pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:stacked_generator/builder.dart';
import 'package:stacked_generator/import_resolver.dart';
import 'package:stacked_generator/resolved_type.dart';
import 'package:stacked_generator/route_config_resolver.dart';
import 'package:stacked_generator/type_resolver.dart';
import 'package:stacked_generator/utils.dart';
32
likes
110
pub points
91%
popularity

Publisher

verified publisher iconfilledstacks.com

Stacked Generator is a package dedicated to reduce the boilerplate required to setup a stacked application

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

analyzer, build, code_builder, collection, dart_style, logger, meta, path, recase, source_gen, stacked_core

More

Packages that depend on stacked_generator